# V6State class

V6State stores the state of the v1 function. nodeId is the node id currently being used clockSeq is the clock sequence currently being used mSecs is the time in milliseconds since the unix epoch nSecs is the number of 100-nanosecond intervals since the last mSecs initialized is a boolean to indicate whether or not the state has been initialized once already. Prevents re-initialization on subsequent calls to _init() from within the v6 function.

## Constructors

V6State.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

clockSeq ↔ int?
  getter/setter pair
initialized ↔ bool
  getter/setter pair
mSecs ↔ int
  getter/setter pair
nodeId ↔ List<int>?
  getter/setter pair
nSecs ↔ int
  getter/setter pair
random ↔ RNG
  getter/setter pair